## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOM_TextHack Class Reference

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Text ParentType

## Public Member Functions

- XercesDOM_TextHack (TextImplType *theImpl=0)
- XercesDOM_TextHack (const ParentType &theSource)
- ~XercesDOM_TextHack ()
- const DOMStringType getNodeNameImpl () const
- const DOMStringType getNodeValueImpl () const
- const DOMStringType getNamespaceURIImpl () const
- const DOMStringType getPrefixImpl () const
- const DOMStringType getLocalNameImpl () const
- const DOMStringType getDataImpl () const
- TextImplType * getImpl () const

## Static Public Member Functions

- TextImplType * getImpl (const ParentType &theNode)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Text XercesDOM_TextHack::ParentType

## Constructor & Destructor Documentation

XercesDOM_TextHack::XercesDOM_TextHack | ( | TextImplType * | theImpl = 0 | ) |

XercesDOM_TextHack::XercesDOM_TextHack | ( | const ParentType & | theSource | ) |

XercesDOM_TextHack::~XercesDOM_TextHack | ( |  | ) |

## Member Function Documentation

const DOMStringType XercesDOM_TextHack::getDataImpl | ( |  | ) | const

TextImplType* XercesDOM_TextHack::getImpl | ( | const ParentType & | theNode | ) | `[static]`

TextImplType* XercesDOM_TextHack::getImpl | ( |  | ) | const

const DOMStringType XercesDOM_TextHack::getLocalNameImpl | ( |  | ) | const

const DOMStringType XercesDOM_TextHack::getNamespaceURIImpl | ( |  | ) | const

const DOMStringType XercesDOM_TextHack::getNodeNameImpl | ( |  | ) | const

const DOMStringType XercesDOM_TextHack::getNodeValueImpl | ( |  | ) | const

const DOMStringType XercesDOM_TextHack::getPrefixImpl | ( |  | ) | const

The documentation for this class was generated from the following file:

- XercesDOM_NodeHack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.